<?php
/*
Plugin Name: Lamiz Menu Manager
Description: مدیریت آیتم‌های منوی کافه با تصویر، قیمت و دسته‌بندی.
Version: 1.0
Author: شما
*/

// ثبت نوع نوشته سفارشی: menu_item
function lamiz_register_menu_item_post_type() {
    register_post_type('menu_item', array(
        'labels' => array(
            'name' => 'آیتم‌های منو',
            'singular_name' => 'آیتم منو',
            'add_new' => 'افزودن آیتم جدید',
            'add_new_item' => 'افزودن آیتم منو',
            'edit_item' => 'ویرایش آیتم منو',
            'new_item' => 'آیتم جدید',
            'view_item' => 'مشاهده آیتم',
            'search_items' => 'جستجوی آیتم‌های منو',
            'not_found' => 'هیچ آیتمی یافت نشد',
            'not_found_in_trash' => 'در زباله‌دان هم چیزی نیست',
        ),
        'public' => true,
        'has_archive' => false,
        'menu_icon' => 'dashicons-coffee',
        'supports' => array('title', 'thumbnail'),
        'show_in_rest' => true
    ));

    register_taxonomy(
        'menu_category',
        'menu_item',
        array(
            'label' => 'دسته‌بندی منو',
            'hierarchical' => true,
            'show_in_rest' => true
        )
    );
}
add_action('init', 'lamiz_register_menu_item_post_type');

// افزودن فیلد قیمت با متاباکس
function lamiz_add_price_metabox() {
    add_meta_box('lamiz_price', 'قیمت', 'lamiz_price_callback', 'menu_item', 'normal', 'high');
}
add_action('add_meta_boxes', 'lamiz_add_price_metabox');

function lamiz_price_callback($post) {
    $price = get_post_meta($post->ID, '_lamiz_price', true);
    echo '<input type="text" name="lamiz_price" value="' . esc_attr($price) . '" style="width:100%;" />';
}

function lamiz_save_price_meta($post_id) {
    if (array_key_exists('lamiz_price', $_POST)) {
        update_post_meta($post_id, '_lamiz_price', sanitize_text_field($_POST['lamiz_price']));
    }
}
add_action('save_post', 'lamiz_save_price_meta');
?>
